import { ChangeDetectorRef } from '@angular/core';
import { DrawerNavItem } from '../nav-item/drawer-nav-item.component';
import { DrawerService } from '../../service/drawer.service';
import { StateListener } from '../../state-listener.component';
export declare type DrawerNavGroup = {
    divider?: boolean;
    title?: string;
    items: DrawerNavItem[];
};
/**
 * [DrawerNavGroup Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * A `<blui-drawer-nav-group>` is used inside of the `<blui-drawer-body>` to organize links and content.
 * Each group consists of an (optional) group title and a series of NavItems.
 */
export declare class DrawerNavGroupComponent extends StateListener implements Omit<DrawerNavGroup, 'items'> {
    /** Whether to show a dividing line below the title */
    divider: boolean;
    /** Component to render a group title */
    title: string;
    navItems: any;
    constructor(drawerService: DrawerService, changeDetectorRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
}
